## python-xlrd 2.0.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-xlrd 0.9.2

=== debian/changelog ===
python-xlrd (0.9.2-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Vincent Bernat ]
  * Promote Debian Python Modules Team as maintainer. Closes: #700555.
  * Switch from dpatch to 3.0 (quilt) format. Closes: #664378.
  * New upstream release. Closes: #682962.
     + Update debian/watch to look at Pypi.
     + Update homepage.
     + Drop shebang patch. Not needed anymore.
  * Bump Standards-Version to 3.9.4.
  * Switch to dh and dh_python2.
  * Enhance long description in debian/control.
  * Add doc-base registration.
  * Update manual page.
  * Switch to machine-readable debian/copyright.
  * Use shipped unittests.
  * Add Python 3 support. Closes: #614503.

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Jun 2013 15:22:17 +0200

python-xlrd (0.6.1-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Luca Falavigna ]
  * Switch to python-support.
  * debian/rules: pass --prefix=/usr to setup.py (Closes: #557936).
  * debian/control: bump Standards-Version to 3.8.3, no changes needed.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sat, 12 Dec 2009 13:08:41 +0100

python-xlrd (0.6.1-1) unstable; urgency=low

  * New upstream version
  * New Maintainer
  * First release into Debian repository (closes: #366137)
  * new debian/

 -- Thomas Bläsing <thomasbl@pool.math.tu-berlin.de>  Thu, 08 May 2008 21:24:54 +0000

python-xlrd (0.6.1a4-2) UNRELEASED; urgency=low

  * debian/runxlrd.1, debian/manpages: manpage added.
  * debian/copyright: refer to copy of BSD license.
  * debian/docs: install /usr/share/doc/python-xlrd/doc/{compdoc,HISTORY,README,xlrd}.html.
  * debian/examples: install examples.
  * debian/{rules,install}, debian/runxlrd: supply a wrapper script in /usr/bin/runxlrd
    to work around missing #!/usr/bin/python in runxlrd.py.

 -- Joost van Baal <joostvb+debian@uvt.nl>  Thu, 24 May 2007 07:29:28 +0200

python-xlrd (0.6.1a4-1) UNRELEASED; urgency=low

  * Initial Release (closes: #366137)

 -- Joost van Baal <joostvb+debian@uvt.nl>  Mon, 21 May 2007 13:11:02 +0200

=== debian/control ===
Source: python-xlrd
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-all (>= 2.6.6-3~), python3-all
Homepage: http://www.python-excel.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-xlrd/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-xlrd/trunk/

Package: python-xlrd
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: extract data from Microsoft Excel spreadsheet files
 xlrd is a Python library to Extract data from new and old Microsoft
 Excel spreadsheets. It supports both .xls and .xlsx files (from Excel
 2007).
 .
 xlrd is a pure Python module and does not require any dependency
 outside of the standard Python distribution.
 .
 This package contains the Python2 version of xlrd as well as the
 documentation and runxlrd, a small utility to extract data from
 Microsoft Excel spreadsheet files.

Package: python3-xlrd
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: extract data from Microsoft Excel spreadsheet files (Python3 version)
 xlrd is a Python library to Extract data from new and old Microsoft
 Excel spreadsheets. It supports both .xls and .xlsx files (from Excel
 2007).
 .
 xlrd is a pure Python module and does not require any dependency
 outside of the standard Python distribution.
 .
 This package contains only the Python3 version of xlrd.

=== debian/rules ===
#!/usr/bin/make -f

PY2VERSIONS = $(shell pyversions -vr)
PY3VERSIONS = $(shell py3versions -vr)

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	dh_auto_build
	set -e; for version in $(PY3VERSIONS); do \
		python$$version setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install
	set -e; for version in $(PY3VERSIONS); do \
		python$$version setup.py install --no-compile -O0 --install-layout=deb \
					--root $(CURDIR)/debian/tmp; \
	done

override_dh_auto_clean:
	dh_auto_clean
	set -e; for version in $(PY3VERSIONS); do \
		python$$version setup.py clean; \
	done
	rm -rf xlrd/__pycache__/

override_dh_install:
	dh_install --fail-missing
	mv debian/python-xlrd/usr/bin/runxlrd.py debian/python-xlrd/usr/bin/runxlrd

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	set -e; for version in $(PY2VERSIONS) $(PY3VERSIONS); do \
		python$$version -m unittest discover ; \
	done
endif

=== debian/watch ===
version=2
http://pypi.python.org/packages/source/x/xlrd/xlrd-(.*)\.tar\.gz

## python-xlrd 0.9.4

=== debian/changelog ===
python-xlrd (0.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.
  * Remove unit tests (as requested by upstream).
  * Update debian/watch to use debian.net redirector.
  * Switch to pybuild. This makes the build reproducible.

 -- Vincent Bernat <bernat@debian.org>  Thu, 20 Aug 2015 10:58:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-all (>= 2.6.6-3~), python3-all
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9),
+               python-all (>= 2.6.6-3~), python3-all
 Homepage: http://www.python-excel.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-xlrd/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-xlrd/trunk/
 
 Package: python-xlrd
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${python:Depends},
+         ${misc:Depends}
 Description: extract data from Microsoft Excel spreadsheet files
  xlrd is a Python library to Extract data from new and old Microsoft
  Excel spreadsheets. It supports both .xls and .xlsx files (from Excel
@@ -27,7 +28,8 @@
 
 Package: python3-xlrd
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${python3:Depends},
+         ${misc:Depends}
 Description: extract data from Microsoft Excel spreadsheet files (Python3 version)
  xlrd is a Python library to Extract data from new and old Microsoft
  Excel spreadsheets. It supports both .xls and .xlsx files (from Excel

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = xlrd

%:
	dh $@ --with python2,python3 --buildsystem pybuild

override_dh_auto_install:
	dh_auto_install
	mv debian/python-xlrd/usr/bin/runxlrd.py debian/python-xlrd/usr/bin/runxlrd
	rm debian/python3-xlrd/usr/bin/runxlrd.py

override_dh_auto_test:

=== debian/watch ===
version=2
http://pypi.debian.net/xlrd/xlrd-(.*)\.tar\.gz

## python-xlrd 1.0.0

=== debian/changelog ===
python-xlrd (1.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Vincent Bernat ]
  * New upstream version.
  * d/patches: remove disable-non-working-tests.patch (needed files are
    now provided).
  * d/control: bump Standards-Version.
  * d/control: build-depends on python{,3}-setuptools.
  * d/rules: re-enable unittests.

 -- Vincent Bernat <bernat@debian.org>  Sun, 03 Jul 2016 19:53:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
+               dh-python,
+               python-setuptools, python3-setuptools,
                python-all (>= 2.6.6-3~), python3-all
 Homepage: http://www.python-excel.org/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-xlrd/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-xlrd/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-xlrd.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-xlrd.git
 
 Package: python-xlrd
 Architecture: all

## python-xlrd 1.1.0

=== debian/changelog ===
python-xlrd (1.1.0-5) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #938276

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Dec 2019 15:26:44 -0500

python-xlrd (1.1.0-4) unstable; urgency=medium

  * Team upload

  [ Matthias Klose ]
  * Stop using time.clock, removed in 3.8 (Closes: 943418)

 -- Graham Inggs <ginggs@debian.org>  Fri, 22 Nov 2019 09:14:34 +0000

python-xlrd (1.1.0-3) unstable; urgency=medium

  * Team upload.
  * Reintroduce Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Aug 2019 15:24:37 +0200

python-xlrd (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support
    - Move runxlrd to python3-xlrd package
  * Enable autopkgtest-pkg-python testsuite.
  * Bump debhelper compat level to 12.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Aug 2019 08:04:59 +0200

python-xlrd (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches after git-dpm to gbp pq conversion.
  * d/control: bump Standards-Version.
  * d/rules: remove symbolic rules to examples during tests.
  * d/compat: switch to debhelper 10.
  * d/watch: switch to HTTPS.
  * d/control: add a package for documentation.

 -- Vincent Bernat <bernat@debian.org>  Tue, 14 Nov 2017 08:20:54 +0100

=== debian/control ===
Source: python-xlrd
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Standards-Version: 4.1.1
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-sphinx,
               python3-setuptools,
               python3-pkginfo,
               python3-all
Homepage: http://www.python-excel.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-xlrd.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-xlrd
Testsuite: autopkgtest-pkg-python

Package: python3-xlrd
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Replaces: python-xlrd (<< 1.1.0-2)
Breaks: python-xlrd (<< 1.1.0-2)
Description: extract data from Microsoft Excel spreadsheet files (Python3 version)
 xlrd is a Python library to Extract data from new and old Microsoft
 Excel spreadsheets. It supports both .xls and .xlsx files (from Excel
 2007).
 .
 xlrd is a pure Python module and does not require any dependency
 outside of the standard Python distribution.
 .
 This package contains only the Python3 version of xlrd.

Package: python-xlrd-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Replaces: python-xlrd (<< 1.1.0-1)
Breaks: python-xlrd (<< 1.1.0-1)
Description: extract data from Microsoft Excel spreadsheet files (documentation)
 xlrd is a Python library to Extract data from new and old Microsoft
 Excel spreadsheets. It supports both .xls and .xlsx files (from Excel
 2007).
 .
 xlrd is a pure Python module and does not require any dependency
 outside of the standard Python distribution.
 .
 This package contains the documentation.

=== debian/watch ===
version=2
https://pypi.debian.net/xlrd/xlrd-(.*)\.tar\.gz

## python-xlrd 1.2.0

=== debian/changelog ===
python-xlrd (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Add patch 0002-fix-python39-compat: In order to fix FTBS issue.
    Closes: #976573
  * Add 0003-python39-compat-iter-detection.patch in order to fix iter()
    call when defusedxml is installed. Closes: #976620
  * Bump Standards-Version to 4.5.1. No changes required
  * debian/watch: Bump file standard version  to 4
  * debian/control: Document Rules-Requires-Root field as 'no'

 -- Josue Ortega <josue@debian.org>  Sun, 17 Jan 2021 13:56:21 -0600

python-xlrd (1.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Emmanuel Arias ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper-compat to 13.
  * d/control: Bump Standards-Version to 4.5.0.
  * New upstream version 1.2.0 (Closes: #972964).
  * d/patches: Update patches.
    - Remove unapplied patches.
    - Add patch to skip test.
  * d/examples: update path on examples file.
  * d/salsa-ci.yml: Enable salsa-ci.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Wed, 28 Oct 2020 12:51:15 -0300

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: python-xlrd
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>
-Standards-Version: 4.1.1
-Build-Depends: debhelper-compat (= 12),
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-sphinx,
                python3-setuptools,
                python3-pkginfo,
                python3-all
-Homepage: http://www.python-excel.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-xlrd.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-xlrd
+Homepage: https://www.python-excel.org/
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-xlrd.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xlrd
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-xlrd
 Architecture: all

=== debian/watch ===
version=4
https://pypi.debian.net/xlrd/xlrd-(.*)\.tar\.gz

## python-xlrd 2.0.1

=== debian/changelog ===
python-xlrd (2.0.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Bump standards version to 4.6.2 (from 4.6.1: no further
    changes needed).

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 30 Nov 2023 10:15:46 -0300

python-xlrd (2.0.1-1) experimental; urgency=medium

  * Team upload
  [ Diane Trout ]
  * New upstream release (Closes: #1031701)
  * Switch d/watch to using github as source.
    - Upstream removed the documentation from the pypi release
  * Remove patches as the ElementTree APi issue was resolved upstream
    0002-fix-python39-compat.patch, 0003-python39-compat-iter-detection.patch
  * Upstream removed example files.
    - Delete 0001-Skip-test-onbuild-process that was skipping test of examples
  * Add pytest build-dependency as one test uses it.
  * Add autopkgtest tests
  * Add disable-external-doc-badges.patch to disable privacy leak badge
    references
  * Fix .Ar macro is not defined groff warning, improving runxlrd man page
    formatting

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

 -- Diane Trout <diane@ghic.org>  Tue, 21 Feb 2023 12:05:25 -0800

python-xlrd (1.2.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-xlrd-docs: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 11:29:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-sphinx,
                python3-setuptools,
+               python3-pytest,
                python3-pkginfo,
                python3-all
 Homepage: https://www.python-excel.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-xlrd.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xlrd
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-xlrd
@@ -38,6 +38,7 @@
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Replaces: python-xlrd (<< 1.1.0-1)
 Breaks: python-xlrd (<< 1.1.0-1)
+Multi-Arch: foreign
 Description: extract data from Microsoft Excel spreadsheet files (documentation)
  xlrd is a Python library to Extract data from new and old Microsoft
  Excel spreadsheets. It supports both .xls and .xlsx files (from Excel

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = xlrd

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs \
		debian/python-xlrd-docs/usr/share/doc/python-xlrd-docs/

override_dh_auto_install:
	dh_auto_install
	mv debian/python3-xlrd/usr/bin/runxlrd.py debian/python3-xlrd/usr/bin/runxlrd

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/python-excel/xlrd/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-xlrd 2.0.2

=== debian/changelog ===
python-xlrd (2.0.2-2) unstable; urgency=medium

  * d/control: Add Multi-Arch: foreign to binary package.
  * d/control: drop "Rules-Requires-Root: no" it is the new default.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 20 Oct 2025 22:10:07 -0300

python-xlrd (2.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 16 Oct 2025 23:48:13 -0300

=== debian/control ===
Source: python-xlrd
Standards-Version: 4.7.2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Vincent Bernat <bernat@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-sphinx,
 python3-setuptools,
 python3-pytest,
 python3-pkginfo,
 python3-all,
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xlrd
Vcs-Git: https://salsa.debian.org/python-team/packages/python-xlrd.git
Homepage: https://www.python-excel.org/

Package: python3-xlrd
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
Breaks:
 python-xlrd (<< 1.1.0-2),
Replaces:
 python-xlrd (<< 1.1.0-2),
Description: extract data from Microsoft Excel spreadsheet files (Python3 version)
 xlrd is a Python library to Extract data from new and old Microsoft
 Excel spreadsheets. It supports both .xls and .xlsx files (from Excel
 2007).
 .
 xlrd is a pure Python module and does not require any dependency
 outside of the standard Python distribution.
 .
 This package contains only the Python3 version of xlrd.

Package: python-xlrd-docs
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Breaks:
 python-xlrd (<< 1.1.0-1),
Replaces:
 python-xlrd (<< 1.1.0-1),
Description: extract data from Microsoft Excel spreadsheet files (documentation)
 xlrd is a Python library to Extract data from new and old Microsoft
 Excel spreadsheets. It supports both .xls and .xlsx files (from Excel
 2007).
 .
 xlrd is a pure Python module and does not require any dependency
 outside of the standard Python distribution.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME = xlrd
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem pybuild
+	dh $@ --with sphinxdoc --buildsystem pybuild
 
 override_dh_installdocs:
 	dh_installdocs
